/*!
  \file
  \brief 独立駆動二輪の走行コントローラ

  \author Satofumi KAMIMURA

  $Id: beego_drive.c 1361 2009-10-03 06:21:34Z satofumi $
*/

#include "robot_control.h"
#include "packet_handler.h"


int main(void)
{
  robot_t robot;
  robot_initialize(&robot);

  // デバイス、割り込み設定の初期化
  // !!!
  robot_update();

  // USB と RS-232 において、最初に通信があった方を利用する
  // !!!

  // 制御を開始
  // !!!

  packet_initialize(&robot);
  while (1) {
    packet_update();
  }
}
